# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.010.
use strict;
use warnings;

use 5.024000;

use ExtUtils::MakeMaker;

use File::ShareDir::Install;
$File::ShareDir::Install::INCLUDE_DOTFILES = 1;
$File::ShareDir::Install::INCLUDE_DOTDIRS = 1;
install_share module => "Yukki::Web", "skel";


my %WriteMakefileArgs = (
  "ABSTRACT" => "Yet Uh-nother wiki - git-based with workgroups",
  "AUTHOR" => "Andrew Sterling Hanenkamp <hanenkamp\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0,
    "File::ShareDir::Install" => "0.06"
  },
  "DISTNAME" => "Yukki",
  "EXE_FILES" => [
    "bin/yukki-add-user",
    "bin/yukki-git-init",
    "bin/yukki-passwd",
    "bin/yukki-setup",
    "bin/yukki.psgi"
  ],
  "LICENSE" => "perl",
  "MIN_PERL_VERSION" => "5.024000",
  "NAME" => "Yukki",
  "PREREQ_PM" => {
    "CHI" => 0,
    "Cache::FastMmap" => 0,
    "Carp" => 0,
    "Class::Load" => 0,
    "Crypt::SaltedHash" => 0,
    "DDP" => 0,
    "DateTime::Format::Mail" => 0,
    "Digest::SHA1" => 0,
    "Email::Address" => 0,
    "Email::Valid" => 0,
    "Encode" => 0,
    "File::ShareDir" => 0,
    "FormValidator::Tiny" => 0,
    "Git::Repository" => "1.18.0",
    "HTTP::Throwable::Factory" => 0,
    "IO::Prompter" => 0,
    "JSON" => 0,
    "LWP::MediaTypes" => 0,
    "List::Util" => 0,
    "Mojo::DOM58::Entities" => 0,
    "Moo" => 0,
    "Moo::Role" => 0,
    "Number::Bytes::Human" => 0,
    "Path::Router" => 0,
    "Path::Router::Route" => 0,
    "Path::Router::Route::Match" => 0,
    "Path::Tiny" => 0,
    "Plack::App::File" => 0,
    "Plack::Builder" => 0,
    "Plack::Request" => 0,
    "Plack::Response" => 0,
    "Plack::Session::Store::Cache" => 0,
    "Scalar::Util" => 0,
    "Spreadsheet::Engine" => 0,
    "String::Errf" => 0,
    "Sub::Exporter" => 0,
    "Sub::Name" => 0,
    "Syntax::Highlight::Engine::Kate" => 0,
    "Syntax::Highlight::Engine::Kate::All" => 0,
    "Syntax::Highlight::Engine::Kate::Perl6" => 0,
    "Template::Pure" => 0,
    "Text::MultiMarkdown" => 0,
    "Try::Tiny" => 0,
    "Type::Library" => 0,
    "Type::Params" => 0,
    "Type::Utils" => 0,
    "Types::Path::Tiny" => 0,
    "Types::Standard" => 0,
    "Types::URI" => 0,
    "URI" => 0,
    "URI::Escape" => 0,
    "YAML" => 0,
    "autodie" => 0,
    "namespace::clean" => 0,
    "strict" => 0,
    "utf8" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "HTTP::Cookies" => 0,
    "HTTP::Request::Common" => 0,
    "IPC::Run3" => 0,
    "Plack::Test" => 0,
    "Probe::Perl" => 0,
    "Test2::V0" => 0,
    "Test::Exception" => 0,
    "Test::Script" => 0,
    "lib" => 0,
    "ok" => 0
  },
  "VERSION" => "0.991_005",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "CHI" => 0,
  "Cache::FastMmap" => 0,
  "Carp" => 0,
  "Class::Load" => 0,
  "Crypt::SaltedHash" => 0,
  "DDP" => 0,
  "DateTime::Format::Mail" => 0,
  "Digest::SHA1" => 0,
  "Email::Address" => 0,
  "Email::Valid" => 0,
  "Encode" => 0,
  "File::ShareDir" => 0,
  "FormValidator::Tiny" => 0,
  "Git::Repository" => "1.18.0",
  "HTTP::Cookies" => 0,
  "HTTP::Request::Common" => 0,
  "HTTP::Throwable::Factory" => 0,
  "IO::Prompter" => 0,
  "IPC::Run3" => 0,
  "JSON" => 0,
  "LWP::MediaTypes" => 0,
  "List::Util" => 0,
  "Mojo::DOM58::Entities" => 0,
  "Moo" => 0,
  "Moo::Role" => 0,
  "Number::Bytes::Human" => 0,
  "Path::Router" => 0,
  "Path::Router::Route" => 0,
  "Path::Router::Route::Match" => 0,
  "Path::Tiny" => 0,
  "Plack::App::File" => 0,
  "Plack::Builder" => 0,
  "Plack::Request" => 0,
  "Plack::Response" => 0,
  "Plack::Session::Store::Cache" => 0,
  "Plack::Test" => 0,
  "Probe::Perl" => 0,
  "Scalar::Util" => 0,
  "Spreadsheet::Engine" => 0,
  "String::Errf" => 0,
  "Sub::Exporter" => 0,
  "Sub::Name" => 0,
  "Syntax::Highlight::Engine::Kate" => 0,
  "Syntax::Highlight::Engine::Kate::All" => 0,
  "Syntax::Highlight::Engine::Kate::Perl6" => 0,
  "Template::Pure" => 0,
  "Test2::V0" => 0,
  "Test::Exception" => 0,
  "Test::Script" => 0,
  "Text::MultiMarkdown" => 0,
  "Try::Tiny" => 0,
  "Type::Library" => 0,
  "Type::Params" => 0,
  "Type::Utils" => 0,
  "Types::Path::Tiny" => 0,
  "Types::Standard" => 0,
  "Types::URI" => 0,
  "URI" => 0,
  "URI::Escape" => 0,
  "YAML" => 0,
  "autodie" => 0,
  "lib" => 0,
  "namespace::clean" => 0,
  "ok" => 0,
  "strict" => 0,
  "utf8" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);

{
package
MY;
use File::ShareDir::Install qw(postamble);
}
